public aspect Logger {
	after() : this(Caller) && target(Worker) {
		System.out.println("After C -> W: " + thisJoinPoint);
	}
	after() : this(Worker) && target(Worker) {
	  System.out.println("After W -> W: " + thisJoinPoint);
	}
	after() : args(int) {
		System.out.println("After args(int): " + thisJoinPoint);
	}
}
