public aspect Logger {
	before() : staticinitialization(Test) {
		System.out.println("Before static: " + thisJoinPoint);
	}
	after() : staticinitialization(Test) {
		System.out.println("After static: " + thisJoinPoint);
	}
	before() : execution(public static void Test.main(..)) {
		System.out.println("Before main: " + thisJoinPoint);
	}
	before() : preinitialization(Test.new()) {
		System.out.println("Before pre: " + thisJoinPoint);
	}
}
