public aspect Logger {
	before(Caller c, Worker w) : this(c) && target(w) {
		System.out.println("Before : " + thisJoinPoint); 
		System.out.println(" This  : " + c);
		System.out.println(" Target: " + w);
		w.work(-10);
	}
}
