import java.awt.* ;
import java.awt.event.* ;

public class SceneDrawExample extends Frame {
	int x=0,y=0;
	Graphics g;
	Color cl;
	
	public static void main(String[] args) {
		SceneDrawExample sc =	new SceneDrawExample();
		sc.setTitle("SceneDraw");
		sc.setSize(200, 200);
		sc.setVisible(true);
		sc.paint();
	}
	
	public void paint(){
		g = getGraphics();
		addMouseListener(
			new MouseAdapter(){
				public void mousePressed(MouseEvent e){
			  	x = e.getX();
			  	y = e.getY();
			  	set();
				}
			}
		);
	}

	public void set(){
		repaint();
	}

 	public void paint( Graphics g ) {
		g.setColor (cl);
		g.drawOval(x, y, 50, 50);
	}

	public void setSceneColorBlue(){
		cl = Color.blue;
	}
	public void setSceneColorRed(){
		cl = Color.red;
	}
}

