public aspect Logger {
	before() : call(Test+.new(..)) {
		System.out.println("B call: " + thisJoinPoint);
	}
	after() : call(Test+.new(..)) {
		System.out.println("A call: " + thisJoinPoint);
	}
	before() : execution(Test+.new(..)) {
		System.out.println("B new: " + thisJoinPoint);
	}
	after() : execution(Test+.new(..)) {
		System.out.println("A new: " + thisJoinPoint);
	}
	before() : preinitialization(Test+.new(..)) {
		System.out.println("B pre: " + thisJoinPoint);
	}
	after() : preinitialization(Test+.new(..)) {
		System.out.println("A pre: " + thisJoinPoint);
	}
	before() : initialization(Test+.new(..)) {
		System.out.println("B init: " + thisJoinPoint);
	}
	after() : initialization(Test+.new(..)) {
		System.out.println("A init: " + thisJoinPoint);
	}
}
