public aspect SceneDrawAspect {
	int count=0;
	SceneDraw sd;
	
	pointcut atDraw(): call(void SceneDrawExample.set());

	before(SceneDrawExample s): atDraw() && target(s){
		sd = checkSceneDraw();
	}
	after(SceneDrawExample s): atDraw() && target(s){
		sd.setColor(s);
	} 
	
	SceneDraw checkSceneDraw(){
		count++;
		if (count > 10)
			return new SceneDrawA();
		else
			return new SceneDrawB();
	}

}
